0

I am facing an issue when I included static resource library of jquery expression builder. My component is running on bundle version 39 but when I increase the version it stops loading jquery expression builder query. Please suggest how can I proceed with increased version of bundle.

Below is the code:

<aura:component implements="flexipage:availableForAllPageTypes,force:lightningQuickActionWithoutHeader,force:hasRecordId" access="global" controller="CPGCategoryLogic" >
<ltng:require scripts="{!join(',',$Resource.JQuery244 + '/jquery-2.2.4.min.js',$Resource.QueryBuilderStandaloneMin + '/query-builder.standalone.min.js',$Resource.CPGCommonScript,$Resource.BootStrap + '/bootstrap.min.js')}" styles="{!join(',',$Resource.QueryBuildCSS + '/query-builder.default.min.css',$Resource.BootCSS + '/bootstrap.min.css',$Resource.common_css)}"  afterScriptsLoaded="{!c.initPage}" />  
<div class="slds-modal__content slds-p-around_small" id="modal-content-id-1">
                    <div id="builder"></div>
                    <button class="btn btn-success" id="btn-set">Set Rules</button>
                    <button class="btn btn-primary" id="btn-get">Get Rules</button>
                    <button class="btn btn-warning" id="btn-reset">Reset</button>
</div>
</aura:component>

1 Answer 1

2

The first thing to do is to check your browser's JavaScript console and see what error messages are output; you may be able to work-around the problem if it is clear what it is. Then try the latest version of the library - looks like 2.4.5 - add that as a static resource and reference it.

But many libraries are not a good fit and will not work - see LockerService and Lightning Container Component: Securely Using Third-Party Libraries in Lightning Components.

2
  • There are no error messages. And we tried with version 2.4.5 but still it is not working
    – Jill_sfdc
    Jan 12, 2018 at 10:03
  • 1
    @Jill_sfdc That's a bit unusual. You can use your browser's dev tools to set breakpoints in the library and your JavaScript code to investigate further.
    – Keith C
    Jan 12, 2018 at 10:06

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .